' *****************************************************
' QuickRename.vbs
' (c) Cenati Giovanni - http://digilander.libero.it/Cenati
' Scritto il 9 maggio 2007
' Codice vbs liberamente utilizzabile citando il sito
' Trascinare diversi file sull'icona del programma
' per modificare il nome dei files.
' Se il nome fisso inserito  "Test File " (con uno spazio alla fine)
' e il numero dal quale iniziare  13,
' i files trascinati sullo script saranno rinominati, previa conferma,
' in Test "File 013.jpg", "Test File 014.jpg", "Test File 015.jpg", ecc.
' Il numero di files selezionabili dipende dalla lunghezza della 
' riga di comando di windows. La somma dei caratteri dei nomi dei files 
' passati come argomento non pu superare 256.
' *****************************************************
Dim Filenames(1000,2)
Title= "QuickRename - by Cenati Giovanni"

Set objArgs = WScript.Arguments  'Vedo se c' almeno un argomento passato allo script
If objargs.count=0 Then  'altrimenti mostro come si usa il programma
	msg= "Trascinare diversi file sull'icona del programma "
	msg=msg & "per modificare il nome dei files." & vbCrlf
	msg=msg & "Si potr scegliere il nome da dare ai files e un numero progressivo "
	msg=msg & "da aggiungere. Come estensione sar mantenuta quella originale. "
	msg=msg & "Prima di rinominare i files viene chiesta conferma."
	msgbox msg ,,Title
	wscript.quit
End If

NumeroFiles = objargs.count -1

For i=0 To NumeroFiles
	Filenames(i,1)= objArgs(i)  
	'Metto in una matrice il nome dei files da rinominare
Next

Set fso = CreateObject("Scripting.FileSystemObject")

NomeFisso = inputbox("Inserisci la parte fissa del nome da dare ai files", title)
NumIniziale = inputbox("Inserisci il numero dal quale iniziare la numerazione", title, "1")
NumIniziale = cint(NumIniziale)

msg="<pre>"

For i=0 To NumeroFiles
	'Memorizzo l'estensione del file da rinominare
	Estensione = fso.GetExtensionName(Filenames(i,1))
	'Memorizzo il percorso del file e ci aggiungo un "\"
	Percorso = fso.getparentfoldername(Filenames(i,1)) & "\"
	'Trasformo in stringa "001" il numero che rappresenta il progressivo
	Numero = right("000" & NumIniziale,3) 'es: Trasforma 5 in 005
	'Costruisce il nuovo filename
	Filenames(i,2)= Percorso & Nomefisso & Numero & "." & Estensione
	'Prepara la riga con i due nomi di file.
	msg=msg & Filenames(i,1) & " --> " & Filenames(i,2) & vbCrlf
	NumIniziale = NumIniziale + 1 'Incrementa il numero progressivo
Next

'*** Crea una finestra che funge da output ***
Set myIE = CreateObject("InternetExplorer.Application")
myIE.Navigate "about:blank"
myIE.ToolBar = False:myIE.StatusBar = False:myIE.Resizable = False
Do
Loop While myIE.Busy
myIE.Width = 900:myIE.Height = 350
myIE.Left = 50:myIE.Top = 50
myIE.Visible = True
myIE.document.writeln("<html><title></title>"&_
  "<body bgcolor=antiquewhite><div id='cont'></div></body></html>")
Set IEWindow = myIE.Document.All("cont")
'**********************************************

' Mostra la preview della modifica dei nomi dei files
IEWindow.INNERHTML = msg

risp= msgbox( "Conferma Rinomina dei files?",vbYesno,Title)
If risp=vbno Then MYie.QUIT:wscript.quit

'Se ha risposto si, procede a rinominare i files
For i=0 To NumeroFiles
	fso.movefile Filenames(i,1),Filenames(i,2)
Next

MYie.QUIT
wscript.quit
