' *****************************************************
' QuickRename2.vbs
' (c) Cenati Giovanni - http://digilander.libero.it/Cenati
' Scritto il 9 maggio 2007 
' Aggiunta la finestra di dialogo per la scelta dei file il 7 agosto 2008
' Codice vbs liberamente utilizzabile citando il sito
' Trascinare diversi file sull'icona del programma
' per modificare il nome dei files.
' Oppure avviare lo script e scegliere i file dalla finestra di dialogo
' Se il nome fisso inserito  "Test File " (con uno spazio alla fine)
' e il numero dal quale iniziare  13,
' i files trascinati sullo script saranno rinominati, previa conferma,
' in Test "File 013.jpg", "Test File 014.jpg", "Test File 015.jpg", ecc.
' Il numero di files selezionabili dipende dalla lunghezza della 
' riga di comando di windows. La somma dei caratteri dei nomi dei files 
' passati come argomento non pu superare 256.
' *****************************************************
Dim Filenames(1000,2)
Title= "QuickRename2 - by Cenati Giovanni"

Set objArgs = WScript.Arguments  'Vedo se c' almeno un argomento passato allo script
NumeroFiles = objargs.count -1 'Inizia da zero.
If objargs.count=0 Then  'altrimenti mostro la finestra di dialogo
	Set comDlg=CreateObject("MSComDlg.CommonDialog.1")
     'Imposto alcune costanti che potr usare nella propriet FLAGS
     const cdlCancel = 32755 'Costante di errore:  stato premuto ANNULLA
     const cdlOFNHideReadOnly = 4 'Nasconde la casella "sola lettura"
     const cdlOFNAllowMultiselect = 512 'Permette di selezionare pi files
     const cdlOFNFileMustExist = 4096 'Puoi scegliere solo files esistenti
     Const cdlOFNExplorer = 524288 'Finestra in stile win95
     'impostazione dei Flag
     comDlg.Flags =  cdlOFNHideReadOnly + cdlOFNAllowMultiselect + cdlOFNExplorer + cdlOFNFileMustExist
     'Imposto i tipi di files che voglio visualizzare
     comDlg.Filter = "Fotografie|*.jpg|Tutti i files|*.*|"
     comDlg.DialogTitle="QuickRename2 - Scegli i files da rinominare"
     'Imposto la directory che deve essere mostrata 
     '(altrimenti viene mostrata quella dello script)
     comDlg.InitDir="c:\" 
     'Imposto il numero massimo di caratteri del pathname
     comDlg.maxfilesize=8000
     'Voglio che premendo Annulla si generi un errore
     comdlg.CancelError=true
     on error resume next
     'Mostro la finestra di dialogo "File Apri"
     'comDlg.FileName="prova.txt"
     comDlg.ShowOpen
     'Qui intercetto l'errore:  stato premuto ANNULLA?
     if err.number=cdlCancel then WScript.Quit
     'E mostro il file scelto (se ha premuto annulla  "")
     Lista=Split(comDlg.FileName,Chr(0))
     NumeroFiles=UBound(Lista) 'inizia da zero
     If NumeroFiles=0 Then
     	Filenames(0,1)=Lista(0)
     Else ' unisco il percorso al nome del file
     	NumeroFiles=NumeroFiles -1 'Perch lista(0)  la directory.
     	For i=0 To NumeroFiles
     		Filenames(i,1)=Lista(0) & "\" & Lista(i+1)
     		'Cio filenames(0)  nomedir+lista(1)
     		'e    filenames(1)  nomedir+lista(2)
        Next
     End If
Else 'recupero i nomi dei files dagli argomenti
	For i=0 To NumeroFiles
		Filenames(i,1)= objArgs(i)  
		'Metto in una matrice il nome dei files da rinominare
	Next
End If

Set fso = CreateObject("Scripting.FileSystemObject")

NomeFisso = inputbox("Inserisci la parte fissa del nome da dare ai files", title)
NumIniziale = inputbox("Inserisci il numero dal quale iniziare la numerazione", title, "1")
NumIniziale = cint(NumIniziale)

msg="<pre>"

For i=0 To NumeroFiles
	'Memorizzo l'estensione del file da rinominare
	Estensione = fso.GetExtensionName(Filenames(i,1))
	'Memorizzo il percorso del file e ci aggiungo un "\"
	Percorso = fso.getparentfoldername(Filenames(i,1)) & "\"
	'Trasformo in stringa "001" il numero che rappresenta il progressivo
	Numero = right("000" & NumIniziale,3) 'es: Trasforma 5 in 005
	'Costruisce il nuovo filename
	Filenames(i,2)= Percorso & Nomefisso & Numero & "." & Estensione
	'Prepara la riga con i due nomi di file.
	msg=msg & Filenames(i,1) & " --> " & Filenames(i,2) & vbCrlf
	NumIniziale = NumIniziale + 1 'Incrementa il numero progressivo
Next

'*** Crea una finestra che funge da output ***
Set myIE = CreateObject("InternetExplorer.Application")
myIE.Navigate "about:blank"
myIE.ToolBar = False:myIE.StatusBar = False:myIE.Resizable = False
Do
Loop While myIE.Busy
myIE.Width = 900:myIE.Height = 350
myIE.Left = 50:myIE.Top = 50
myIE.Visible = True
myIE.document.writeln("<html><title></title>"&_
  "<body bgcolor=antiquewhite><div id='cont'></div></body></html>")
Set IEWindow = myIE.Document.All("cont")
'**********************************************

' Mostra la preview della modifica dei nomi dei files
IEWindow.INNERHTML = msg

risp= msgbox( "Conferma Rinomina dei files?",vbYesno,Title)
If risp=vbno Then MYie.QUIT:wscript.quit

'Se ha risposto si, procede a rinominare i files
For i=0 To NumeroFiles
	fso.movefile Filenames(i,1),Filenames(i,2)
Next

MYie.QUIT
wscript.quit
